import { ActionManager } from "./clients/actionmanager";
import { AppConfig } from './clients/appconfig';
import { StatsManager } from './clients/statsmanager';
import { WorldManager } from './clients/worldmanager';
import { TokenGetter } from "./clients/interface";
import { ConfigManager } from "./clients/configmanager";
import AggregationClient from "./clients/aggregate_client";
export declare class DaptinClient {
    appConfig: AppConfig;
    jsonApi: any;
    tokenGetter: TokenGetter;
    actionManager: ActionManager;
    worldManager: WorldManager;
    statsManager: StatsManager;
    configManager: ConfigManager;
    aggregateClient: AggregationClient;
    constructor(endpoint: any, debug: any, tokenGetter: any, axiosConfig: any);
}
