import { AxiosInstance } from "axios";
import { TokenGetter } from "./interface";
import AppConfig from "./appconfig";
export declare class ConfigManager {
    appConfig: AppConfig;
    getToken: TokenGetter;
    private axios;
    constructor(appConfig: AppConfig, getToken: TokenGetter, axiosInstance: AxiosInstance);
    getConfig(configName: string, configType: string): Promise<unknown>;
    getAllConfig(): Promise<unknown>;
    setConfig(configName: string, configType: string, configValue: any): Promise<unknown>;
}
